# c

Alias definitions for all C stdint and regular data types

## Types

### `__int128_t`

```rust
using __int128_t = ;
```

### `__int64_t`

```rust
using __int64_t = ;
```

### `__uint128_t`

```rust
using __uint128_t = ;
```

### `__uint64_t`

```rust
using __uint64_t = ;
```

### `char16_t`

```rust
using char16_t = ;
```

### `char32_t`

```rust
using char32_t = ;
```

### `char8_t`

```rust
using char8_t = ;
```

### `int`

```rust
using int = ;
```

### `int128_t`

```rust
using int128_t = ;
```

### `int16_t`

```rust
using int16_t = ;
```

### `int32_t`

```rust
using int32_t = ;
```

### `int64_t`

```rust
using int64_t = ;
```

### `int8_t`

```rust
using int8_t = ;
```

### `intptr_t`

```rust
using intptr_t = ;
```

### `long`

```rust
using long = ;
```

### `ptrdiff_t`

```rust
using ptrdiff_t = ;
```

### `short`

```rust
using short = ;
```

### `size_t`

```rust
using size_t = ;
```

### `ssize_t`

```rust
using ssize_t = ;
```

### `uint128_t`

```rust
using uint128_t = ;
```

### `uint16_t`

```rust
using uint16_t = ;
```

### `uint32_t`

```rust
using uint32_t = ;
```

### `uint64_t`

```rust
using uint64_t = ;
```

### `uint8_t`

```rust
using uint8_t = ;
```

### `uintptr_t`

```rust
using uintptr_t = ;
```

### `wchar_t`

```rust
using wchar_t = ;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.werwolv.net/pattern-language/libraries/type/c.pat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
